Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.phases
Class MuleContextStartPhase

    java.lang.Object
      org.mule.lifecycle.phases.DefaultLifecyclePhase
          org.mule.lifecycle.phases.MuleContextStartPhase

All Implemented Interfaces:
  MuleContextAware, LifecyclePhase

    public class MuleContextStartPhase

extends DefaultLifecyclePhase

The Start phase for the MuleContext. Calling `Startable.start()` will initiate this phase via the `LifecycleManager`. The MuleContextStartPhase defines the lifecycle behaviour when the Mule context is started. The MuleContext is associated with one or more registries that inherit the lifecycle of the MuleContext. This phase is responsible for starting objects. Any object that implements `Startable` will have its `Startable.start()` method called. Objects are initialised in the order based on type: `Connector`, `Agent`, `Model`, `Service`, followed by any other object that implements `Startable`.

Since:
  3.0
See Also:
  `MuleContext`, `LifecycleManager`, `Startable`

Field Summary

Fields inherited from class org.mule.lifecycle.phases.DefaultLifecyclePhase
`logger`

Fields inherited from interface org.mule.api.lifecycle.LifecyclePhase
`ALL_PHASES`

Constructor Summary
`MuleContextStartPhase()`
`MuleContextStartPhase(Class<?>[] ignorredObjects)`

Method Summary

Methods inherited from class org.mule.lifecycle.phases.DefaultLifecyclePhase
`addOrderedLifecycleObject, applyLifecycle, getIgnoredObjectTypes, getLifecycleClass, getName, getOppositeLifecyclePhase, getOrderedLifecycleObjects, getSupportedPhases, ignoreType, isPhaseSupported, registerSupportedPhase, removeOrderedLifecycleObject, setIgnoredObjectTypes, setLifecycleClass, setMuleContext, setOrderedLifecycleObjects, setSupportedPhases, sortLifecycleInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleContextStartPhase

    public MuleContextStartPhase()

### MuleContextStartPhase

    public MuleContextStartPhase(Class<?>[] ignorredObjects)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.